Rt61, Ubuntu Gutsy and WPA2

Live forum: http://rt2x00.serialmonkey.com/viewtopic.php?t=4372

balak

23-10-2007 00:38:45

Hi,

I have a few questions regarding the rt61 driver used by default in gutsy. It'll be great if somebody can answer them

1. Is it the 'legacy rt61 driver' or the new 'rt2x00 driver' ?

2. Does it natively support WPA2 (EAP-PEAP)? Or do I have to recompile wpa_supplicant with support for this driver (like what I did for feisty here
[urlmrsj0ojj]http://rt2x00.serialmonkey.com/phpBB2/viewtopic.php?t=4104[/urlmrsj0ojj])

3. It seems to work with networkmanager in gutsy with some caveats. I can connect to a WEP network @ home. But it doesn't connect to a WPA2 network. Is it even possible to connect using networkmanager

In feisty, the rt61 driver and networkmanager were totally incompatible. It definitely looks better now ) Thanks for the great job!

Starcrasher

23-10-2007 08:48:05

What you say in 3 answer to 1.

The rt2x00 legacy drivers stills incompatible with wpa_supplicant and I don't think this will change any day in future. As far as I know, networkmanager rely on wpa_supplicant.

However there's a driver named ralink in lastest version of wpa_supplicant, this driver is only for Ralink legacy drivers.

The driver ships in Gutsy Gibbon seems to be the new rt2x00 driver which is designed to work with wpa_supplicant.

So, you shouldn't have to patch anything, if the new rt2x00 driver works for you. Maybe, you'll have to edit wpa_supplicant configuration file manually to make it work for your network.

But if it's not working...

balak

24-10-2007 19:26:55

Its not working. I have been able to connect to the same network using feisty, so my settings/configurations are fine.

I used the same settings in networkmanager - doesn't work.

I ran wpa_supplicant from the commandline (using -Dwext since the version supplied with gutsy, 0.5.8 doesn't support -Dralink) and that didn't go anywhere.

I can't post the dmesg o/p since I cannot connect to the net using my laptop ( but will do so later today from home.

Starcrasher

25-10-2007 12:59:21

Unless you patch wpa_supplicant yourself -Dralink, when it's included, is for use with Ralink legacy driver only. It will not work with rt2x00 legacy driver nor with the new rt2x00 legacy driver.

To be sure of what driver is loaded. Can you post the output of [i2kp0dwmr]lsmod |grep rt[/i2kp0dwmr] ?

balak

25-10-2007 13:01:10

[code1jp04e8q]
balak@ubuntu:~$lsmod | grep rt
parport_pc 41896 0
parport 44172 3 ppdev,parport_pc,lp
rt61pci 28288 0
rt2x00pci 13184 1 rt61pci
rt2x00lib 21760 2 rt61pci,rt2x00pci
rfkill 9616 2 rt2x00lib
mac80211 196104 4 rc80211_simple,rt61pci,rt2x00pci,rt2x00lib
input_polldev 6672 1 rt2x00lib
crc_itu_t 3456 1 rt2x00lib
eeprom_93cx6 3712 1 rt61pci
[/code1jp04e8q]

Starcrasher

25-10-2007 13:09:29

No doubt. That's the new rt2x00 driver and should work with wpa_supplicant.
Try to see if you can find more in the new driver part of the forum.
Good luck

balak

25-10-2007 13:10:25

Thanks. I will prowl that forum now )